Issues

ZF-4395: Zend_Uri_Http::fromString doesn't import Zend_Uri_Exception

Issue Type: Bug Created: 2008-09-27T04:41:29.000+0000 Last Updated: 2008-11-13T14:10:03.000+0000 Status: Resolved Fix version(s): - 1.7.0 (17/Nov/08)

Reporter: Paul Tomlin (ptomli) Assignee: Shahar Evron (shahar) Tags: - Zend_Uri

Related issues: Attachments:

Description

In Zend_Uri_Http::fromString, if the scheme is not valid, it throws a Zend_Uri_Exception, but fails to require_once 'Zend/Uri/Exception.php' prior to doing this.

<pre class="highlight">
if (in_array($scheme, array('http', 'https')) === false) {
    throw new Zend_Uri_Exception("Invalid scheme: '$scheme'");
}

should be

<pre class="highlight">
if (in_array($scheme, array('http', 'https')) === false) {
        require_once 'Zend/Uri/Exception.php';
        throw new Zend_Uri_Exception("Invalid scheme: '$scheme'");
}

Comments

Posted by Shahar Evron (shahar) on 2008-10-11T05:01:49.000+0000

Fixed in rev. 11866, test added

Posted by Alexander Veremyev (alexander) on 2008-10-12T03:12:26.000+0000

Merged into release-1.6 branch at r11890

Posted by Wil Sinclair (wil) on 2008-11-13T14:10:03.000+0000

Changing issues in preparation for the 1.7.0 release.

Have you found an issue?

See the Overview section for more details.

Copyright

© 2006-2016 by Zend, a Rogue Wave Company. Made with by awesome contributors.

This website is built using zend-expressive and it runs on PHP 7.

Contacts